# Retrieve product information by code

Extract information about a product from the Avangate system using its unique ID and the code of the pricing list to which it is assigned to.

## Request parameters

<table><thead><tr><th width="161.7999267578125">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionID</code></td><td><strong>Required (string)</strong><br>Session identifier, which is the output of the <strong>Login</strong> method. An exception will be thrown if the values are incorrect.</td></tr><tr><td><code>productCode</code></td><td><strong>Required (string)</strong><br>The unique product identifier from your system.</td></tr><tr><td><code>pricingListCode</code></td><td><strong>Required (string)</strong><br>The unique identifier of the pricing list.</td></tr></tbody></table>

### Request sample

```php
<?php

require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
require('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/Partner/00Set_partner

$productCode = 'YOUR_PRODUCT_CODE';
$pricingListCode = 'YOUR_PRICING_LIST_CODE';

try {
    $ProductbyCODE= $client->getProductByCode ($sessionID, $productCode, $pricingListCode);
} catch (SoapFault $e) {
    echo "ProductInfo: " . $e->getMessage();
    exit;
}
var_dump ("ProductInfo", $ProductbyCODE);
```

## Response parameters

<table><thead><tr><th width="139.0001220703125">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><a href="/pages/b0910c2131556ac5eb237ab5eaf4d2ef96d7bb3d"><code>ProductInfo</code></a></td><td><strong>Object</strong><br>Complex object containing arrays of <a href="/pages/48b58afd4402b691a3e3cea72dce090f29cccca9"><code>SimpleProduct</code></a> and <code>PriceOptions</code> objects.</td></tr></tbody></table>

## Errors

<table><thead><tr><th width="338.199951171875">Error</th><th>Description</th></tr></thead><tbody><tr><td><strong>INVALID_PARTNER</strong></td><td>No partner is set.</td></tr><tr><td><strong>INVALID_PRODUCT</strong></td><td>Provide a valid product ID.</td></tr><tr><td><strong>INVALID_PRICING_LIST_CODE</strong></td><td>Provide a valid pricing list code.</td></tr><tr><td><strong>PARTNER_PRICING_LISTS_NOT_FOUND</strong></td><td>There are no pricing lists with the provided code.</td></tr><tr><td><strong>PRODUCT_NOT_FOUND</strong></td><td>There is no product with this ID in the given pricing list.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/channel-manager-api/channel-manager-api/api-2.1/soap-2.1/reference/product/retrieve-product-information-by-code.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
